<?php
/**
 *
 * Description
 *
 * @package	VirtueMart
 * @subpackage Config
 * @author RickG, Stefan Schumacher
 * @link https://virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. (c) 2017 Stefan Schumacher. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version 1.2.12, Jooglies Admin Template, Stefan Schumacher
 * derived from Joomla 3.8.2 and VirtueMart 3.2.6
 */

// Check to ensure this file is included in Joomla!
defined ( '_JEXEC' ) or die ( 'Restricted access' );
$document = JFactory::getDocument();
$app = JFactory::getApplication();
$mytemplate = $app->getTemplate(true);
$params = $mytemplate->params;
AdminUIHelper::startAdminArea($this);
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">

<?php // Loading Templates in Tabs
$tabs = array ();
$tabs['shop'] = 'COM_VIRTUEMART_ADMIN_CFG_SHOPTAB';
$tabs['email'] = 'COM_VIRTUEMART_ADMIN_CFG_EMAILTAB';
$tabs['shopfront'] = 'COM_VIRTUEMART_ADMIN_CFG_SHOPFRONTTAB';
$tabs['templates'] = 'COM_VIRTUEMART_ADMIN_CFG_TEMPLATESTAB';
$tabs['pricing'] = 'COM_VIRTUEMART_ADMIN_CFG_PRICINGTAB';
$tabs['checkout'] = 'COM_VIRTUEMART_ADMIN_CFG_CHECKOUTTAB';
$tabs['product_order'] = 'COM_VIRTUEMART_ADMIN_CFG_PRODUCTORDERTAB';
$tabs['feeds'] = 'COM_VIRTUEMART_ADMIN_CFG_FEEDS';
$tabs['sef'] = 'COM_VIRTUEMART_ADMIN_CFG_SEF';
	if ($params->get('tab_override') == "1") {
$tabs['joogliesover'] = 'COM_VIRTUEMART_ADMIN_CFG_JOOGLIESOVER';
	}
	if ($params->get('tab_hidden') == "1") {
$tabs['hidden'] = 'COM_VIRTUEMART_ADMIN_CFG_HIDDEN';
	}
AdminUIHelper::buildTabs ( $this, $tabs);
?>

<!-- Hidden Fields -->
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="option" value="com_virtuemart" />
	<input type="hidden" name="view" value="config" />
	<?php echo JHtml::_ ( 'form.token' ); ?>
</form>

<?php AdminUIHelper::endAdminArea (); ?>