<?php
/**
 *
 * Description
 *
 * @package    VirtueMart
 * @subpackage Config
 * @author RickG
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_pricing.php 8508 2014-10-22 18:57:14Z Milbo $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$app = JFactory::getApplication();
$mytemplate = $app->getTemplate(true);
$params = $mytemplate->params;
$pricesTextAddPos = array();
$pricesTextAddPos[] = JHtml::_('select.option', 'no' , vmText::_('VM_NO'));
$pricesTextAddPos[] = JHtml::_('select.option', 'above_price' , vmText::_('VM_ABOVE_PRICE'));
$pricesTextAddPos[] = JHtml::_('select.option', 'below_price' , vmText::_('VM_BELOW_PRICE'));
$invLabelPos = array();
$invLabelPos[] = JHtml::_('select.option', 'above_address' , vmText::_('VM_ABOVE_ADDRESS'));
$invLabelPos[] = JHtml::_('select.option', 'below_address' , vmText::_('VM_BELOW_ADDRESS'));
$invLabelAlign = array();
$invLabelAlign[] = JHtml::_('select.option', 'left' , vmText::_('VM_LEFT'));
$invLabelAlign[] = JHtml::_('select.option', 'right' , vmText::_('VM_RIGHT'));
$invNumberPos = array();
$invNumberPos[] = JHtml::_('select.option', 'invoice_label_after' , vmText::_('VM_INVOICE_LABEL_AFTER'));
$invNumberPos[] = JHtml::_('select.option', 'block_right' , vmText::_('VM_BLOCK_RIGHT'));
$invCustomerNotePos = array();
$invCustomerNotePos[] = JHtml::_('select.option', 'above_list', vmText::_('VM_ABOVE_LIST'));
$invCustomerNotePos[] = JHtml::_('select.option', 'below_list', vmText::_('VM_BELOW_LIST'));
$invUidPos = array();
$invUidPos[] = JHtml::_('select.option', 'address', vmText::_('VM_BELOW_ADDRESS'));
$invUidPos[] = JHtml::_('select.option', 'below_list', vmText::_('VM_BELOW_LIST'));
$invUidMessagePos = array();
$invUidMessagePos[] = JHtml::_('select.option', 'no', vmText::_('VM_NO'));
$invUidMessagePos[] = JHtml::_('select.option', 'below_address', vmText::_('VM_BELOW_ADDRESS'));
$invUidMessagePos[] = JHtml::_('select.option', 'below_list', vmText::_('VM_BELOW_LIST'));
?>
<table>
	<tr>
		<td valign="top">
			<fieldset>
				<legend><?php echo vmText::_('COM_VIRTUEMART_ADMIN_CFG_INV_MAIL_ORDER'); ?></legend>
				<table class="admintable">
					<?php
					//echo VmHTML::row('input','COM_VIRTUEMART_ADMIN_CFG_INV_LOGO_POSITION','inv_logo_pos',VmConfig::get('','left'));
					//echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_LOGO_SHOW','inv_logo_show',VmConfig::get('inv_logo_show',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_COL_SKU','show_col_sku',VmConfig::get('show_col_sku',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_COL_STATUS','show_col_status',VmConfig::get('show_col_status',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_COL_DISCOUNT','show_col_discount',VmConfig::get('show_col_discount',1));
					?>
				</table>
			</fieldset>

			<fieldset>
				<legend><?php echo vmText::_('COM_VIRTUEMART_ADMIN_CFG_INV_LAYOUT'); ?></legend>
				<table class="admintable">
					<?php
				//	echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_JGL_HEADER','inv_jgl_header',VmConfig::get('inv_jgl_header',0));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_DELIVERY_ADDRESS_IN_INVOICE','inv_delivery_address_in_invoice',VmConfig::get('inv_delivery_address_in_invoice',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_DELIVERY_DATE','inv_show_delivery_date',VmConfig::get('inv_show_delivery_date',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_ORDER_NUMBER','inv_show_order_number',VmConfig::get('inv_show_order_number',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_ORDER_DATE','inv_show_order_date',VmConfig::get('inv_show_order_date',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_CUSTOMER_NUMBER','inv_show_customer_number',VmConfig::get('inv_show_customer_number',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_SHOP_ADDRESS_INWINDOW','inv_show_shop_address_inwindow',VmConfig::get('inv_show_shop_address_inwindow',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_PAYMENT_INLIST','inv_show_payment_inlist',VmConfig::get('inv_show_payment_inlist',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_PAYMENT_BELOWLIST','inv_show_payment_belowlist',VmConfig::get('inv_show_payment_belowlist',0));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SPECIAL_TEXT','inv_special_text',VmConfig::get('inv_special_text',0));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_SEPARATE_TAX','inv_show_separate_tax',VmConfig::get('inv_show_separate_tax',1));
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_INV_LABEL_POS',$invLabelPos,'inv_label_pos', 'size=1', 'value', 'text',VmConfig::get('inv_label_pos','below_address'));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_INV_SHOW_NUMBER_STRING','inv_show_number_string',VmConfig::get('inv_show_number_string',1));
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_INV_NUMBER_POS',$invNumberPos,'inv_number_pos', 'size=1', 'value', 'text',VmConfig::get('inv_number_pos','below_address'));
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_INV_LABEL_ALIGN',$invLabelAlign,'inv_label_align', 'size=1', 'value', 'text',VmConfig::get('inv_label_align','left'));
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_INV_CUSTOMER_NOTE_POS',$invCustomerNotePos,'inv_customer_note_pos', 'size=1', 'value', 'text',VmConfig::get('inv_customer_note_pos','left'));
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_INV_UID_POS',$invUidPos,'inv_uid_pos', 'size=1', 'value', 'text',VmConfig::get('inv_uid_pos','left'));
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_INV_UID_MESSAGE_POS',$invUidMessagePos,'inv_uid_message_pos', 'size=1', 'value', 'text',VmConfig::get('inv_uid_message_pos','left'));
					?>
				</table>
			</fieldset>

			<fieldset>
				<legend><?php echo vmText::_('COM_VIRTUEMART_ADMIN_CFG_EMAIL_LAYOUT'); ?></legend>
				<table class="admintable">
					<?php
					echo VmHTML::row('checkbox','COM_VM_CFG_MAIL_USE_WEB_FONT','mail_use_web_font',VmConfig::get('mail_use_web_font',0));
					echo VmHTML::row('checkbox','COM_VM_CFG_MAIL_ORDER_STATUS_MESSAGE','mail_order_status_message',VmConfig::get('inv_show_delivery_date',1));
					echo VmHTML::row('checkbox','COM_VM_CFG_MAIL_SHOW_CUSTOMER_NUMBER','mail_show_customer_number',VmConfig::get('mail_show_customer_number',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_MAIL_LEGAL_INFO','mail_legal_info',VmConfig::get('mail_legal_info',1));
					echo VmHTML::row('checkbox','COM_VIRTUEMART_ADMIN_CFG_MAIL_FOOTER','mail_footer',VmConfig::get('mail_footer',1));
					?>
				</table>
			</fieldset>

			<fieldset>
				<legend><?php echo vmText::_('COM_VIRTUEMART_ADMIN_CFG_LAW_GERMAN'); ?></legend>
				<table class="admintable">
					<?php
					echo VmHTML::row('genericlist','COM_VIRTUEMART_ADMIN_CFG_PRICES_TEXT_ADD',$pricesTextAddPos,'prices_text_add_pos', 'size=1', 'value', 'text',VmConfig::get('prices_text_add_pos','no'));
					?>
				</table>
			</fieldset>
		</td>
	</tr>
</table>